/* <hide>
  CCF: a Conditional Compilation Facility
  Copyright 1996-2000 Ian Wild

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  Bug reports, bug fixes, enhancement request, and arbitrarily
  large amounts of chocolate may be sent to the author at <imw@acm.org>.
</hide> */
/* <doc>
<html><head><title>CCF Memory Functions</title></head>
<body><h1>CCF Memory Functions</h1>

<p>Nothing too clever, just wrappers around the standard <tt>malloc()</tt>
set that check for errors and abort as appropriate.

</doc> */

#include	"iofns.h"
#include	"memfns.h"


void *my_malloc (size_t n)
{
  void *p = malloc (n);
  if (! p)
    FatalError ("out of memory");
  return (p);
}

void *my_realloc (void *orig, size_t new_n)
{
  void *p = realloc (orig, new_n);
  if (! p)
    FatalError ("out of memory");
  return (p);
}

void my_free (void *p)
{
  free (p);
}
